"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pathModule = require("path");
const flow_1 = require("./lib/flow");
const context_1 = require("./lib/context");
const action_1 = require("./lib/action");
let path = process.argv[2];
path = pathModule.join(process.cwd(), path);
let actions = action_1.Action.actionsFromScriptRecursive(path);
let context = new context_1.Context({
    apiPathes: [pathModule.join(process.cwd(), "./webapp/src/script/R.api.js")],
    host: "localhost",
    port: 25109
});
let flow = new flow_1.Flow(context, actions);
let session = flow.go((err) => {
    if (err) {
        console.error(err);
    }
    else {
        console.error(":-)");
    }
});
session.verbose = true;
//# sourceMappingURL=example.javascript.js.map