import * as pathModule from "path"
import { Flow } from "./lib/flow"
import { Context } from "./lib/context"
import { Action } from "./lib/action"

let path = process.argv[2]
path = pathModule.join(process.cwd(), path)
let actions = Action.actionsFromScriptRecursive(path)
let context = new Context({
    apiPathes: [pathModule.join(process.cwd(), "./webapp/src/script/R.api.js")],
    host: "localhost",
    port: 25109
})
let flow = new Flow(context, actions)


let session = flow.go((err) => {
    if (err) {
        console.error(err)
    } else {
        console.error(":-)")
    }
})

session.verbose = true
