"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const session_1 = require("./session");
class Context {
    constructor(option) {
        this.option = option;
        this.base = "http://" + this.option.host + ":" + this.option.port;
    }
    createSession() {
        return new session_1.Session(this.base, this.option.apiPathes.map(path => require(path)));
    }
}
exports.Context = Context;
//# sourceMappingURL=context.js.map