import * as fs from "fs"
import { Session } from "./session"
import { Flow } from "./flow"
import { Action, ActionData } from "./action"
import * as pathModule from "path"
export class Context {
    constructor(public readonly option: {
        apiPathes: string[]
        host: string
        port: number
    }) {
    }
    public base: string = "http://" + this.option.host + ":" + this.option.port
    createSession(): Session {
        return new Session(this.base, this.option.apiPathes.map(path => require(path)))
    }
}
