export declare type Flow = Array<RouteSpecDefination>;
export interface RouteSpecDefination {
    [ApiServiceName: string]: {
        [ApiName: string]: APISpec;
    };
}
export interface TypeDefinition {
    [key: string]: string | TypeDefinition;
}
export interface APISpec {
    path: string;
    method: string;
    params: {};
    return: TypeDefinition;
    transform?: {
        [key: string]: (value) => void;
    };
}
