export declare class Session {
    readonly base: string;
    APIContents: any[];
    constructor(base: string, APIContents: any[]);
    verbose: boolean;
    datas: any;
    headers: any;
    generateAPIs(): void;
    apis: {
        [name: string]: (option: any, callback: (err?: Error, data?: any) => void) => void;
    };
    getAPI(name: string): any;
    save(name: string, value: any): void;
    get(name: string): any;
    build(data: any): any;
    saveHeader(name: string, value: string): void;
    clear(): void;
    evalString(data: any): any;
}
